Sharing
List org-library shares
List org-library share rows.
GET
/
api
/
v2
/
library
/
shares
/
List org-library share rows visible to the current user
curl --request GET \
--url https://api.example.com/api/v2/library/shares/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/library/shares/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/library/shares/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": 123,
"content_type": "<string>",
"object_id": 123,
"content_object_summary": {
"id": 123,
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>"
},
"state": "pending",
"shared_by": {
"id": 123,
"email": "jsmith@example.com"
},
"decided_by": {
"id": 123,
"email": "jsmith@example.com"
},
"decided_at": "2023-11-07T05:31:56Z",
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}Org Library rows the caller can see. Approve/reject/kick are separate POSTs and require an org admin.
Authorizations
extractApiKeybearerAuthcookieAuth
Query Parameters
⌘I
List org-library share rows visible to the current user
curl --request GET \
--url https://api.example.com/api/v2/library/shares/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/library/shares/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/library/shares/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"id": 123,
"content_type": "<string>",
"object_id": 123,
"content_object_summary": {
"id": 123,
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>"
},
"state": "pending",
"shared_by": {
"id": 123,
"email": "jsmith@example.com"
},
"decided_by": {
"id": 123,
"email": "jsmith@example.com"
},
"decided_at": "2023-11-07T05:31:56Z",
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"
}
